package org.nl.acs.udw.service.impl;

import lombok.Data;
import org.nl.acs.udw.UnifiedData;

import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
public class UnifiedDataUnit {
    private String unifiedKey;
    private Map<String, UnifiedData> storage = Collections.synchronizedMap(new HashMap());
    private Map<String, List<UnifiedData>> history = Collections.synchronizedMap(new HashMap());

    public UnifiedDataUnit(String unifiedKey) {
        this.unifiedKey = unifiedKey;
    }

}
